Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-is-symbol
Version:        1.0.2
Release:        alt1_2
Summary:        Determine if a value is an ES6 Symbol or not

License:        MIT
URL:            https://github.com/ljharb/is-symbol
Source0:        https://registry.npmjs.org/is-symbol/-/is-symbol-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(tape)
BuildRequires:  npm(has-symbols)
Source44: import.info


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/is-symbol
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/is-symbol
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} --es-staging --harmony test/index.js


%files
%doc README.md CHANGELOG.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/is-symbol


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_2
- new version

* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt0.1.njs.bootstrap
- bootstrap

